# Demonstrate drawing a full-canvas tic-tac-toe board
# by Sara Sprenkle, 10.29.07

from graphics import *

COLOR="purple"

def main() :

    win = GraphWin("TIC-TAC-TOE Board", 500, 500)

    drawTictactoe(win)
    
    # Pause so user can see the result
    win.getMouse()


# Input: canvas, a GraphWin object
# Postcondition: canvas has a full-screen tic-tac-toe board drawn on
# it
def drawTictactoe(canvas):
    width = canvas.getWidth()
    height = canvas.getHeight()
    
    topPoint1 = Point(width/3, 0)
    topPoint2 = Point(2*width/3, 0)
    bottomPoint1 = Point(width/3, height)
    bottomPoint2 = Point(2*width/3, height)

    leftPoint1 = Point(0, height/3)
    leftPoint2 = Point(0, 2*height/3)
    rightPoint1 = Point(width, height/3)
    rightPoint2 = Point(width, 2*height/3)
    
    # draw the vertical lines
    line = Line(topPoint1, bottomPoint1)
    line.setOutline(COLOR)
    line.setWidth(3)
    line.draw(canvas)

    line = Line(topPoint2, bottomPoint2)
    line.setOutline(COLOR)
    line.setWidth(3)
    line.draw(canvas)

    # draw the horizontal lines
    line = Line(leftPoint1, rightPoint1)
    line.setOutline(COLOR)
    line.setWidth(3)
    line.draw(canvas)

    line = Line(leftPoint2, rightPoint2)
    line.setOutline(COLOR)
    line.setWidth(3)
    line.draw(canvas)

main()

