# Demonstrate drawing a full-canvas tic-tac-toe board
# by Sara Sprenkle, 10.29.07

from graphics import *

COLOR="purple"

def main() :

    win = GraphWin("TIC-TAC-TOE Board", 500, 500)

    drawTictactoe(win)
    
    # Pause so user can see the result
    win.getMouse()


# Input: canvas, a GraphWin object
# Postcondition: canvas has a full-screen tic-tac-toe board drawn on
# it
def drawTictactoe(canvas):
    width = canvas.getWidth()
    height = canvas.getHeight()
    
    topPoint = Point(width/3, 0)
    bottomPoint = Point(width/3, height)

    leftPoint = Point(0, height/3)
    rightPoint = Point(width, height/3)
    
    # draw the vertical lines
    line = Line(topPoint, bottomPoint)
    line.setOutline(COLOR)
    line.setWidth(3)
    line.draw(canvas)

    vline = line.clone()
    vline.move(width/3,0)
    vline.draw(canvas)

    # draw the horizontal lines
    line = Line(leftPoint, rightPoint)
    line.setOutline(COLOR)
    line.setWidth(3)
    line.draw(canvas)

    hline = line.clone()
    hline.move(0,height/3)
    hline.draw(canvas)


main()

