from card import *
from random import shuffle

class Deck:
    """ A class to represent a deck of playing cards."""
    
    def __init__(self):
        self.cards = []
        # executes 4 times (once for each suit)
        for suit in ["clubs","hearts","diamonds","spades"]:
            # executes 13 times (once for each rank)
            for rank in range(2,15):
                # the body of the loop gets executed a total of 52
                # times
                self.cards.append(Card(rank, suit))

    def __str__(self):
        result = ""
        for c in self.cards:
            # Either of the following two lines do the same thing,
            # have the same result:
        
            #result += c.__str__() + "\n"
            result += str(c) + "\n"
        return result

    def shuffle(self):
        shuffle(self.cards)

    def getNumCardsLeft(self):
        """Returns the number of cards left in the deck."""
        return len(self.cards)

    def drawCard(self):
        """Returns the top card on the deck.  If there are no cards in
        the deck, returns None"""
        if self.getNumCardsLeft() == 0:
            return None
        return self.cards.pop(0)


def main():
    d = Deck()
    d.shuffle
    print d

main()
