# This program draws an initial circle in the graphics window.
# Each time the user clicks on a new spot, the circle is
# shifted to that location.  This happens four times. On the fifth
# mouse click the program ends.

from graphics import *

class ShapesGroup:
    def __init__(self, list):
        self.listOfShapes = list
        
    def move(self, dx, dy):
        for x in self.listOfShapes:
            x.move(dx,dy)

def main():
    win = GraphWin("Moving A Group of Shapes")
    circ = Circle(Point(50,50), 20)
    circ.setOutline("black")
    circ.setFill("magenta")
    circ.draw(win)
    
    circ2 = circ.clone()
    circ2.move(10,10)
    circ2.draw(win)
    
    group = ShapesGroup([circ,circ2])

    label = Text(Point(100,180), "Click where the circle goes")
    label.draw(win)
    
    for i in range(5):
        moveTo = win.getMouse()
        current = circ.getCenter()
        dx = moveTo.getX() - current.getX()
        dy = moveTo.getY() - current.getY()
        group.move(dx,dy)
        label.setText( str(5-i-1) + " clicks left")


main()
                   
