# Class representing a Clock
# By CS111 class
# 11.02.07

from counter import *

class Clock:
    """ A class representing a clock """
    
    def __init__(self, h=12, m=0, s=0):
        """ Create an instance of the Clock class.  Can either call with
        or without the integer parameters h (for hours), m (for minutes), or 
        s (for seconds).  If no parameters are defined, clock defaults to 12:00:00.
        Pre: 1 <= h <= 12, 0 <= m <= 59, 0 <= s <= 59
        """
        self.hours = Counter(1,12)
        self.hours.setValue(h)
        self.minutes = Counter(0,59)
        self.minutes.setValue(m)
        self.seconds = Counter(0,59)
        self.seconds.setValue(s)
    
    def __str__(self):
        "Returns a string representing the class as hh:mm:ss"
        h =self.hours.getValue()
        m = self.minutes.getValue()
        s = self.seconds.getValue()
        result = "%d:%02d:%02d" % (h,m,s)
        return result
        
    def tick(self):
        "Increase the time by one second"
        self.seconds.increment()
        if self.seconds.getValue() == self.seconds.getLow():
            self.minutes.increment()
            if self.minutes.getValue() == self.minutes.getLow():
                self.hours.increment()
    
    def setTime(self, hours, minutes, seconds):
        """Sets the current time with integer parameters hours, minutes, and seconds.
        Pre: 1 <= h <= 12, 0 <= m <= 59, 0 <= s <= 59
        """
         self.hours.setValue(hours)
         self.minutes.setValue(minutes)
         self.seconds.setValue(seconds)
    
# function to test the clock class
def testClock():
    clock = Clock()
    print clock
    clock.tick()
    print clock
    for x in xrange(100):
        clock.tick()
    print clock
    clock.setTime(12,59,59)
    print clock
    clock.tick()
    print clock
    # check if bad values to set clock to
    clock.setTime(-1,60,0)



testClock()
